Get Schedule
curl --request GET \
--url https://api.sandbox.wepayout.com.br/v2/automatic-pix/schedules/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.wepayout.com.br/v2/automatic-pix/schedules/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.wepayout.com.br/v2/automatic-pix/schedules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"merchant_id": 1,
"authorization": {
"id": 1,
"name": "Authorization Name"
},
"amount": 100.00,
"due_date": "2023-01-01",
"settlement_date": null,
"status": {
"id": 1,
"name": "PENDING"
},
"history": [
{
"id": 1,
"schedule_id": 1,
"status_id": 1,
"status_name": "PENDING",
"created_at": "2023-01-01T00:00:00Z"
}
],
"tx_id": null,
"attempts": [],
"created_at": "2023-01-01T00:00:00Z",
"buyer": {
"id": 1,
"name": "Buyer Name",
"document": "12345678900"
}
}
Schedules
Get Schedule
Get a schedule by ID
GET
/
v2
/
automatic-pix
/
schedules
/
{id}
Get Schedule
Path Parameters
integer
required
The ID of the schedule to retrieve.
Response
integer
Schedule ID
integer
Merchant ID
number
Amount
string
Due Date
string or null
Settlement Date
array or null
string or null
Transaction ID
string
Creation Date
{
"id": 1,
"merchant_id": 1,
"authorization": {
"id": 1,
"name": "Authorization Name"
},
"amount": 100.00,
"due_date": "2023-01-01",
"settlement_date": null,
"status": {
"id": 1,
"name": "PENDING"
},
"history": [
{
"id": 1,
"schedule_id": 1,
"status_id": 1,
"status_name": "PENDING",
"created_at": "2023-01-01T00:00:00Z"
}
],
"tx_id": null,
"attempts": [],
"created_at": "2023-01-01T00:00:00Z",
"buyer": {
"id": 1,
"name": "Buyer Name",
"document": "12345678900"
}
}
Was this page helpful?
⌘I

